#[derive(Clone, Debug)]
pub struct CommitArtifact {
    pub app: String,
    pub branch: String,
}

#[derive(Debug, Clone)]
pub struct ArtifactID(uuid::Uuid);

impl ArtifactID {
    pub fn new() -> Self {
        Self(uuid::Uuid::now_v7())
    }
}

impl std::ops::Deref for ArtifactID {
    type Target = uuid::Uuid;

    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
